## golang-go.uber-zap 1.7.1%2Bgit20171031.f85c78b

=== debian/changelog ===
golang-go.uber-zap (1.7.1+git20171031.f85c78b-5) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:11:49 -0500

golang-go.uber-zap (1.7.1+git20171031.f85c78b-4) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 15:42:39 -0500

golang-go.uber-zap (1.7.1+git20171031.f85c78b-3) unstable; urgency=medium

  * Move to salsa.debian.org

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Dec 2017 22:26:07 -0500

golang-go.uber-zap (1.7.1+git20171031.f85c78b-2) unstable; urgency=medium

  * Create symlink to uber-go/zap

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Dec 2017 00:58:35 -0500

golang-go.uber-zap (1.7.1+git20171031.f85c78b-1) unstable; urgency=medium

  * Initial release (Closes: #885286)

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Dec 2017 00:25:28 -0500
