## golang-go.uber-zap 1.9.1

=== debian/changelog ===
golang-go.uber-zap (1.9.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Wed, 21 Nov 2018 14:02:57 -0500
