=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
          golang-github-stretchr-testify-dev,
          golang-go.uber-atomic-dev,
          golang-go.uber-multierr-dev
-Description: Blazing fast, structured, leveled logging in Go.
+Description: Blazing fast, structured, leveled logging in Go
  Package zap provides fast, structured, leveled logging.
  .
  For applications that log in the hot path, reflection-based
