## golang-go.uber-zap 1.14.1

=== debian/changelog ===
golang-go.uber-zap (1.14.1-1ubuntu1) groovy; urgency=medium

  * d/rules: add an extra timeout scaling factor when building or
    testing (dep8) on armhf and arm64 to workaround a flaky test that
    is more likely to fail on slower systems.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 16 Jun 2020 09:08:55 -0300

golang-go.uber-zap (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1 (Closes: #952206)
  * Refresh patches with new version
  * Drop compat, switch to debhelper-compat
  * Add "Rules-Requires-Root:no"
  * Add upstream/metadata
  * Add myself to uploaders
  * Bump standards version to 4.5.0
  * Disable TestOpen test since it seems to dereference null pointer

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 22 Mar 2020 16:43:28 +0530
