=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: golang-go.uber-zap
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <aviau@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Alexandre Viau <aviau@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
                golang-go.uber-atomic-dev,
                golang-go.uber-multierr-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/uber-go/zap
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.uber-zap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.uber-zap.git
 XS-Go-Import-Path: go.uber.org/zap
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-go.uber-zap-dev
 Architecture: all
