=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #!/usr/bin/make -f
 
 export DH_GOLANG_EXCLUDES := benchmarks
+# https://github.com/uber-go/zap/issues/62
+# and
+# https://github.com/uber-go/zap/issues/334
+# The actual scaling factor was found by experimentation
+# and is of course subject to change
+ifneq (,$(filter $(DEB_BUILD_ARCH),armhf arm64))
+export TEST_TIMEOUT_SCALE := 60
+endif
 
 %:
 	dh $@ --buildsystem=golang --with=golang
