## golang-go.uber-zap 1.15.0

=== debian/changelog ===
golang-go.uber-zap (1.15.0-2) unstable; urgency=medium

  * skip TestSamplerConcurrent (fixes debci)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 09 Jul 2020 15:12:33 +0530

golang-go.uber-zap (1.15.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Revert dropping Files-Excluded from debian/copyright

  [ Nilesh Patra ]
  * New upstream version 1.15.0
  * change delta range, so as to fix debci
  * Remove aviau from uploaders - this was RFA

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 07 Jul 2020 15:22:29 +0530
