=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: golang-go.uber-zap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <aviau@debian.org>, Nilesh Patra <npatra974@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Nilesh Patra <npatra974@gmail.com>
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,
