## golang-go.uber-zap 1.20.0

=== debian/changelog ===
golang-go.uber-zap (1.20.0-1) unstable; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * Team upload.
  * New upstream release (1.20.0).
  * Update d/control.
    - Add golang-github-benbjohnson-clock-dev to Depends and B-D.
    - Add golang-uber-goleak-dev to Depends and B-D.
    - Update Standards-Version to 4.6.0.1 (no changes).
    - Add golang-gopkg-yaml.v2-dev to B-D and Depends.
    - Add golang-google-grpc-dev to B-D.
  * Update d/gbp.conf.
    - Set debian-branch to debian/sid for DEP-14 conformance.
  * Remove unnecessary d/lintian-overrides.
  * Update d/watch
    - Update to version 4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 07 Feb 2022 17:59:58 +0900

golang-go.uber-zap (1.15.0-3) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Update own email address .

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 28 Jan 2022 16:54:33 +0900
