=== debian/control ===
--- 
+++ 
@@ -2,15 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <npatra974@gmail.com>
+Uploaders: Nilesh Patra <nilesh@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev,
                golang-go.uber-atomic-dev,
-               golang-go.uber-multierr-dev
-Standards-Version: 4.5.0
+               golang-go.uber-multierr-dev,
+               golang-github-benbjohnson-clock-dev,
+               golang-uber-goleak-dev,
+	       golang-gopkg-yaml.v2-dev,
+	       golang-google-grpc-dev
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/uber-go/zap
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.uber-zap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.uber-zap.git
@@ -26,7 +30,10 @@
          golang-github-pkg-errors-dev,
          golang-github-stretchr-testify-dev,
          golang-go.uber-atomic-dev,
-         golang-go.uber-multierr-dev
+         golang-go.uber-multierr-dev,
+         golang-github-benbjohnson-clock-dev,
+         golang-uber-goleak-dev,
+         golang-gopkg-yaml.v2-dev
 Description: Blazing fast, structured, leveled logging in Go
  Package zap provides fast, structured, leveled logging.
  .
