## golang-go.uber-zap 1.23.0

=== debian/changelog ===
golang-go.uber-zap (1.23.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.23.0
  * Reorder fields in debian/control and debian/copyright
  * Change Section from devel to golang
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * debian/rules: Invoke dh with --builddirectory=_build
  * Drop -dev package’s unneeded dependency on ${shlibs:Depends}
  * Mark library package with "Multi-Arch: foreign"
  * Bump Standards-Version to 4.6.1 (no change)
  * Update versioned dependencies as per go.mod
  * Refresh Debian patches

 -- Anthony Fok <foka@debian.org>  Fri, 28 Oct 2022 09:50:49 -0600
