## golang-go.uber-zap 1.26.0

=== debian/changelog ===
golang-go.uber-zap (1.26.0-1) unstable; urgency=medium

  * Team upload
  * Sync from experimental to unstable.

 -- Anton Gladky <gladk@debian.org>  Sun, 08 Oct 2023 22:10:46 +0200

golang-go.uber-zap (1.26.0-1~exp1) experimental; urgency=medium

  * Team upload
  * [2490131] New upstream version 1.26.0
  * [98aceab] Update standards version to 4.6.2, no changes needed.
  * [bed8376] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Sat, 07 Oct 2023 22:47:48 +0200
