=== debian/control ===
--- 
+++ 
@@ -1,38 +1,38 @@
 Source: golang-go.uber-zap
-Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>
-Rules-Requires-Root: no
+Section: golang
+Testsuite: autopkgtest-pkg-go
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.18~),
-               golang-github-benbjohnson-clock-dev (>= 1.1.0),
-               golang-github-pkg-errors-dev (>= 0.8.1),
+               golang-github-benbjohnson-clock-dev,
+               golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev (>= 1.8.0),
                golang-go.uber-atomic-dev (>= 1.7.0),
                golang-go.uber-multierr-dev (>= 1.6.0),
-               golang-uber-goleak-dev (>= 1.1.11),
+               golang-uber-goleak-dev,
                golang-gopkg-yaml.v3-dev (>= 3.0.1),
                golang-google-grpc-dev
-Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
-Homepage: https://github.com/uber-go/zap
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.uber-zap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.uber-zap.git
+Homepage: https://github.com/uber-go/zap
+Rules-Requires-Root: no
 XS-Go-Import-Path: go.uber.org/zap
 
 Package: golang-go.uber-zap-dev
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         golang-github-benbjohnson-clock-dev (>= 1.1.0),
-         golang-github-pkg-errors-dev (>= 0.8.1),
+         golang-github-benbjohnson-clock-dev,
+         golang-github-pkg-errors-dev,
          golang-github-stretchr-testify-dev (>= 1.8.0),
          golang-go.uber-atomic-dev (>= 1.7.0),
          golang-go.uber-multierr-dev (>= 1.6.0),
-         golang-uber-goleak-dev (>= 1.1.11),
-         golang-gopkg-yaml.v3-dev (>= 3.0.1),
+         golang-uber-goleak-dev,
+         golang-gopkg-yaml.v3-dev (>= 3.0.1)
 Description: Blazing fast, structured, leveled logging in Go
  Package zap provides fast, structured, leveled logging.
  .
