=== debian/changelog ===
golang-go.uber-zap (1.27.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.27.0
  * Import unpushed changes
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Nov 2025 23:06:56 +0530
