=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-go.uber-zap
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -15,11 +14,10 @@
                golang-uber-goleak-dev,
                golang-gopkg-yaml.v3-dev (>= 3.0.1),
                golang-google-grpc-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.uber-zap
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.uber-zap.git
 Homepage: https://github.com/uber-go/zap
-Rules-Requires-Root: no
 XS-Go-Import-Path: go.uber.org/zap
 
 Package: golang-go.uber-zap-dev
